/Directadmin – Cannot install the same version of PHP for both releases.
directadmin

Directadmin – Cannot install the same version of PHP for both releases.

En ocasiones tocamos configuraciones del directadmin para agregar versiones del php o cambiar de apache a nginx o nginx+apache.

Entre tanto cambio de configuraciones puede que agreguemos por error un php que ya teníamos y al compilar nuevamente el php o apache nos salta el error: Cannot install the same version of PHP for both releases.

Para solucionarlo debemos editar el archivo /usr/local/directadmin/custombuild/options.conf

PHP Settings

php1_release=7.2
php1_mode=php-fpm
php2_release=7.0
php2_mode=php-fpm
php3_release=5.6
php3_mode=php-fpm
php4_release=7.2
php4_mode=php-fpm

El php 7.2 está en el php1 y php4

Editamos el archivo /usr/local/directadmin/custombuild/options.conf y eliminamos los duplicados.

php1_release=7.2
php1_mode=php-fpm
php2_release=7.0
php2_mode=php-fpm
php3_release=5.6
php3_mode=php-fpm

Con eso recompilamos y tendría que dejar hacer la instalación.

Cualquier duda la puede dejar en los comentarios.

Saludos

ETIQUETAS: